Package org.zkoss.bind.sys.debugger.impl

## Class DefaultAnnotationInfoChecker

- java.lang.Object
- - org.zkoss.bind.sys.debugger.impl.DefaultAnnotationInfoChecker

- All Implemented Interfaces:
    `BindingAnnotationInfoChecker`

      public class DefaultAnnotationInfoChecker
      extends java.lang.Object
      implements BindingAnnotationInfoChecker

  Author:
    dennis

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `CHILDREN_ATTR` |
    `static java.lang.String` | `FORM_ATTR` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkBinder​(Component comp)` | check binder annotation
    `void` | `checkBinding​(Binder binder, Component comp)` | check binding annotation
    `void` | `checkValidationMessages​(Component comp)` | check validation message annotation
    `void` | `checkViewModel​(Component comp)` | check view model annotation
    `protected java.lang.Class<?>` | `getViewModelClass()` |
    `void` | `setViewModelClass​(java.lang.Class<?> viewModelClass)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FORM_ATTR

          public static final java.lang.String FORM_ATTR

      See Also:
        Constant Field Values

    - #### CHILDREN_ATTR

          public static final java.lang.String CHILDREN_ATTR

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getViewModelClass

          protected java.lang.Class<?> getViewModelClass()

    - #### setViewModelClass

          public void setViewModelClass​(java.lang.Class<?> viewModelClass)

    - #### checkBinding

          public void checkBinding​(Binder binder,
                                   Component comp)

      Description copied from interface: `BindingAnnotationInfoChecker`
      check binding annotation
      Specified by:
        `checkBinding` in interface `BindingAnnotationInfoChecker`

    - #### checkViewModel

          public void checkViewModel​(Component comp)

      Description copied from interface: `BindingAnnotationInfoChecker`
      check view model annotation
      Specified by:
        `checkViewModel` in interface `BindingAnnotationInfoChecker`

    - #### checkBinder

          public void checkBinder​(Component comp)

      Description copied from interface: `BindingAnnotationInfoChecker`
      check binder annotation
      Specified by:
        `checkBinder` in interface `BindingAnnotationInfoChecker`

    - #### checkValidationMessages

          public void checkValidationMessages​(Component comp)

      Description copied from interface: `BindingAnnotationInfoChecker`
      check validation message annotation
      Specified by:
        `checkValidationMessages` in interface `BindingAnnotationInfoChecker`